v1.0
delete
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/shipments/{shipmentId}/kits
Removes kits from an order shipment. Rights: OrsInventoryDelete, OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
shipmentId(required): string(uuid)
ID of the shipment.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- */*
Root Schema : schema
Type:
objectRequest object containing kits to be removed from shipment.
Show Source
-
kits: array
kits
Minimum Number of Items:
1Kits to be removed from the shipment. -
nsKits: array
nsKits
Kits to be removed from the shipment.
-
shipmentId: string
(uuid)
ID of the shipment.
Nested Schema : kits
Type:
arrayMinimum Number of Items:
1Kits to be removed from the shipment.
Show Source
Example:
[
"E39FF55A445543A38D513325664F0B2D"
]Nested Schema : nsKits
Type:
arrayKits to be removed from the shipment.
Show Source
-
Array of:
object ShipmentRemoveNonSerializedKitRequest
Request object containing non serialized kits to be removed from shipment.
Example:
[
{
"lotId":"C36A3197FDEE433FB5547EE83DE99E4B",
"kitTypeSrcId":"D313327EF13845169A8ADADDA435431E",
"quantity":56
}
]Nested Schema : ShipmentRemoveNonSerializedKitRequest
Type:
objectRequest object containing non serialized kits to be removed from shipment.
Show Source
-
kitTypeSrcId: string
(uuid)
ID OF THE KIT
-
lotId: string
(uuid)
ID of the lot.
-
quantity(required): number
(BigDecimal)
Minimum Value:
1Quantity of kitsExample:56
Example:
{
"lotId":"C36A3197FDEE433FB5547EE83DE99E4B",
"kitTypeSrcId":"D313327EF13845169A8ADADDA435431E",
"quantity":56
}Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
string(uuid)Examples
400 Response
'Invalid Kit', 'Invalid shipment status'
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples
404 Response
'Invalid study ID', 'Study still in design phase' or 'Invalid shipment ID'
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples
500 Response
Internal server error
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples